Bug 494209 - "cobbler sync" gives impression of not being able to handle dnsmasq
"cobbler sync" gives impression of not being able to handle dnsmasq
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Michael DeHaan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 12:05 EDT by Anders
Modified: 2009-05-06 17:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 17:33:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for sync_post_restart_services.py (555 bytes, patch)
2009-04-05 18:05 EDT, Niels Haase
no flags Details | Diff

  None (edit)
Description Anders 2009-04-05 12:05:01 EDT
Description of problem:
After upgrading cobbler (from 1.4 to 1.6.x in Fedora 10) it now gives the impression of not being able to handle dnsmasq for DNS.

Version-Release number of selected component (if applicable):
cobbler-1.6.2-1.fc10.noarch

How reproducible:
100%

Steps to Reproduce:
1. install cobbler plus pre/co-req's (had to chase down python-netaddr)
2. update configs in /etc/cobbler
3. run "cobbler sync"
  
Actual results:
[root@iota ~]# cobbler sync
Shutting down dnsmasq:                                     [  OK  ]
Starting dnsmasq:                                          [  OK  ]
- error: unknown DNS engine: manage_dnsmasq
cobbler trigger failed: cobbler.modules.sync_post_restart_services

Expected results:
No error messages about "unknown DNS engine".

Additional info:
from: /etc/cobbler/settings 
dnsmasq_bin: /usr/sbin/dnsmasq
dnsmasq_conf: /etc/dnsmasq.conf
manage_dns: 1
restart_dns: 1

from: /etc/cobbler/modules.conf 
[dns]
module = manage_dnsmasq
[dhcp]
module = manage_dnsmasq

Can make the files available from /etc/cobbler on request.
Comment 1 Niels Haase 2009-04-05 18:05:44 EDT
Created attachment 338264 [details]
patch for sync_post_restart_services.py 

Same problem here.

For a possible fix please copy the patch to (and change to) directory:
/usr/lib/python2.6/site-packages/cobbler/modules

And apply the patch as follow:

patch sync_post_restart_services.py < patch.sync_post_restart_services.py 

Please have a try.
Comment 2 Anders 2009-04-06 01:31:57 EDT
Good morning Niels,

I have tried your patch (python 2.5 here) and it applies and it makes the error message go away.

Thank you,

/Anders
Comment 3 Michael DeHaan 2009-04-06 08:27:55 EDT
Patches need to go the to mailing list, please send them to https://fedorahosted.org/mailman/listinfo/cobbler-devel
Comment 4 Michael DeHaan 2009-05-06 17:33:15 EDT
Already applied, so we can close this.

Note You need to log in before you can comment on or make changes to this bug.